How To Fix ‘The package could not be installed’ While Installing Elementor

You are receiving this error message because you are trying to install Elementor as a theme whereas it is a plugin.

You have to install it via “plugins” and not via “Appearance > theme” on your WordPress Dashboard:

Installation

Installing Elementor Pro

Please note also that you have to install Elementor free as well so that Elementor Pro can work given that the latter is an extension of the former.

Share it on social networks

Share on facebook
Share on twitter
Share on linkedin
Share on email

Did this answer your question?

255 people find it useful

Yes

No

Get Started With Elementor Today

Join millions of professionals who use Elementor to build WordPress websites faster and better than ever before

Don’t make us use the puppy face...

Up to 25% Off

:
:
:

Black Friday Sale: Up to 25% OFF!

Sale Ends In

:
:
: